/************************************************************************/
/*                                                                      */
/*             ,     ..        */
/*                   ,   ,   .               */
/*                                                                      */
/************************************************************************/

#ifndef _I2C_H_
#define _I2C_H_

/************************************************************************/
/* Standard I2C bus routines                                            */
/************************************************************************/

// Waits until I2C module is in idle state.
void i2c_idle(void);

// Initiates I2C bus start condition.
void i2c_start(void);

// Initiates I2C bus restart condition.
void i2c_restart(void);

// Initiates I2C bus stop condition.
void i2c_stop(void);

// Initiates I2C bus acknowledge sequence.
void i2c_ack(void);

// Initiates I2C bus NOT-acknowledge sequence.
void i2c_nack(void);

// Writes single byte to I2C bus.
// Returns 1 if ACK is received, 0 otherwise.
int i2c_write(unsigned char data);
	
// Reads single byte from I2C bus.
// Returns the byte read.
unsigned char i2c_read(void);


#endif // _I2C_H_
